Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.manager
Class PortalServlet.UserCacheFlushSessionBindingListener

    java.lang.Object
      com.bea.netuix.servlets.manager.PortalServlet.UserCacheFlushSessionBindingListener

All Implemented Interfaces
  Serializable, EventListener, javax.servlet.http.HttpSessionBindingListener

Enclosing class:
  PortalServlet

    public static class PortalServlet.UserCacheFlushSessionBindingListener

extends Object
implements javax.servlet.http.HttpSessionBindingListener, Serializable

SessionBindingListener to flush the user cache at the end of a session. Gets created with a Locale so that flush can be called on locale-specific entries.

See Also
  Serialized Form

Constructor Summary
`PortalServlet.UserCacheFlushSessionBindingListener(String portalPath, String desktopPath, String userName, ArrayList<Locale> locales, boolean retriveAdmin)`

Method Summary
`void` | `valueBound(javax.servlet.http.HttpSessionBindingEvent event)`
`void` | `valueUnbound(javax.servlet.http.HttpSessionBindingEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalServlet.UserCacheFlushSessionBindingListener

    public PortalServlet.UserCacheFlushSessionBindingListener(String portalPath,
                                                              String desktopPath,
                                                              String userName,
                                                              ArrayList<Locale> locales,
                                                              boolean retriveAdmin)

Method Detail

### valueBound

    public void valueBound(javax.servlet.http.HttpSessionBindingEvent event)

  Specified by:
    `valueBound` in interface `javax.servlet.http.HttpSessionBindingListener`

### valueUnbound

    public void valueUnbound(javax.servlet.http.HttpSessionBindingEvent event)

  Specified by:
    `valueUnbound` in interface `javax.servlet.http.HttpSessionBindingListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.